{pkgs, ... }:

{
  services.mautrix-facebook = {
    enable = true;

    # file containing the appservice and telegram tokens
    #environmentFile = /etc/secrets/mautrix-telegram.env;

    # The appservice is pre-configured to use SQLite by default.
    # It's also possible to use PostgreSQL.
    settings = {
      homeserver = {
        address = "http://localhost:8008";
        domain = "broccoli.town";
      };
      appservice = {
        address = "https://localhost:29319";
        bot_username = "messenger_bot";
        database = "sqlite:///var/lib/mautrix/bot.db";
        port = 29319;
        as_token = "NwNtnSTUaIIxf8DIew1XMYyktrbckiMp8iwcXUGkHq28tYVc99A-IL2swBR7WFtl";
        hs_token = "QAuD0k9I3QCfEfhlnWbqBFGOTJz-fFdesnzZOovJxdfGVMDCkdFEb6Zvu5eGAIZi";
      };
      bridge = {
        encryption = {
          allow = true;
          default = true;
        };
        username_template = "facebook_{userid}";
        permissions = {
          "*" = "relay";
          "broccoli.town"  = "user";
          "@dung:broccoli.town" = "admin";
        };
      };
    };
  };
}
